Bug 30950 - timepicker.inc is no longer used and should be removed
Summary: timepicker.inc is no longer used and should be removed
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 30011
Blocks:
  Show dependency treegraph
 
Reported: 2022-06-13 08:45 UTC by Jonathan Druart
Modified: 2022-07-29 15:35 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.04


Attachments
Bug 30950: Remove timepicker.inc (1.88 KB, patch)
2022-06-13 08:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30950: Remove timepicker.inc (1.93 KB, patch)
2022-06-13 09:51 UTC, David Nind
Details | Diff | Splinter Review
Bug 30950: Remove timepicker.inc (1.99 KB, patch)
2022-06-18 01:37 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-06-13 08:45:18 UTC
Last occurrence removed in 
  commit de2d8ba3e4f611aadc29165a7748cc1797d87ce3
  Bug 30011: Update links to jQueryUI assets, remove datepicker references, etc.
Comment 1 Jonathan Druart 2022-06-13 08:47:02 UTC
Created attachment 135999 [details] [review]
Bug 30950: Remove timepicker.inc

No longer used since
  commit de2d8ba3e4f611aadc29165a7748cc1797d87ce3
  Bug 30011: Update links to jQueryUI assets, remove datepicker references, etc.

We must remove it from our codebase.

Test plan:
  git grep timepicker.inc
Should not return occurrences outside of PO's
Comment 2 David Nind 2022-06-13 09:51:42 UTC
Created attachment 136005 [details] [review]
Bug 30950: Remove timepicker.inc

No longer used since
  commit de2d8ba3e4f611aadc29165a7748cc1797d87ce3
  Bug 30011: Update links to jQueryUI assets, remove datepicker references, etc.

We must remove it from our codebase.

Test plan:
  git grep timepicker.inc
Should not return occurrences outside of PO's

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Victor Grousset/tuxayo 2022-06-18 01:37:24 UTC
Created attachment 136321 [details] [review]
Bug 30950: Remove timepicker.inc

No longer used since
  commit de2d8ba3e4f611aadc29165a7748cc1797d87ce3
  Bug 30011: Update links to jQueryUI assets, remove datepicker references, etc.

We must remove it from our codebase.

Test plan:
  git grep timepicker.inc
Should not return occurrences outside of PO's

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 4 Victor Grousset/tuxayo 2022-06-18 01:37:58 UTC
Looks good, passing QA :)
Comment 5 Tomás Cohen Arazi 2022-06-23 16:51:21 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 6 Lucas Gass 2022-07-29 15:35:40 UTC
Backported to 22.05.x for 22.05.04